de.caff.generics.tuple

## Class ITuple3.Base<T1,T2,T3>

- java.lang.Object
- - de.caff.generics.tuple.ITuple3.Base<T1,T2,T3>

- Type Parameters:
    `T1` - type of first element
    `T2` - type of second element
    `T3` - type of third element
  All Implemented Interfaces:
    ITuple3<T1,T2,T3>
  Direct Known Subclasses:
    NTuple3, Tuple3
  Enclosing interface:
    ITuple3<T1,T2,T3>

      public abstract static class ITuple3.Base<T1,T2,T3>
      extends java.lang.Object
      implements ITuple3<T1,T2,T3>

  Abstract base implementation of a 3-tuple. This provides standard implementations for `java.lang.Object` methods `equals()`, `hashCode()` and `toString()`. Therefore it is most useful if you implement a 3-tuple on the fly.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.tuple.ITuple3

      `ITuple3.Base<T1,T2,T3>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITuple3.Base<T1,T2,T3>` | `asBase()` Convert this 3-tuple into a `base tuple` which provides useful implementations for standard methods.
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.tuple.ITuple3

      `_1, _12, _13, _132, _2, _21, _213, _23, _231, _3, _31, _312, _32, _321, concat1, concat2, concat3, concat4, concat5, concat6, concat7, concat8, concatPred1, concatPred2, concatPred3, concatPred4, concatPred5, concatPred6, concatPred7, concatPred8, concatProc1, concatProc2, concatProc3, concatProc4, concatProc5, concatProc6, concatProc7, concatProc8, equals, frozen, frozenNotNull, hash, invoke, sendTo, testBy, toString, toString, view`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### asBase

          @NotNull
          public ITuple3.Base<T1,T2,T3> asBase()

      Description copied from interface: `ITuple3`
      Convert this 3-tuple into a `base tuple` which provides useful implementations for standard methods.
      Specified by:
        `asBase` in interface `ITuple3<T1,T2,T3>`
      Returns:
        base view of this tuple

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`